//
//  CanCouponNoticeItemView.swift
//  SodaLive
//
//  Created by klaus on 2024/01/03.
//

import SwiftUI

struct CanCouponNoticeItemView: View {
    
    let notice: String
    
    var body: some View {
        HStack(alignment: .top, spacing: 4) {
            Text("-")
                .font(.custom(Font.medium.rawValue, size: 13.3))
                .foregroundColor(Color(hex: "eeeeee"))
            
            Text(notice)
                .multilineTextAlignment(.leading)
                .font(.custom(Font.medium.rawValue, size: 13.3))
                .foregroundColor(Color(hex: "eeeeee"))
                .fixedSize(horizontal: false, vertical: true)
        }
        .padding(.horizontal, 10)
    }
}

struct CanCouponNoticeItemView_Previews: PreviewProvider {
    static var previews: some View {
        CanCouponNoticeItemView(notice: "본인인증한 계정 1회에 한해 이벤트 쿠폰등록이 적용 됩니다.")
    }
}
